class Topic < ApplicationRecord
  belongs_to :user
  has_many :comments
  has_many :commenters, through: :comments, source: 'user'
  has_many :attachments
  has_and_belongs_to_many :subtopics, class_name: 'Topic', foreign_key: 'subtopic_id', join_table: 'subtopics_topics', assossication_foreign_key: 'topic_id'
end
